## pygobject-2 2.28.6

=== debian/changelog ===
pygobject-2 (2.28.6-14ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Drop the gtk-2.0-pysupport-compat.pth file.
    - Install libraries into the multiarch libdir.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Feb 2020 16:22:57 -0500

pygobject-2 (2.28.6-14) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Reduce build dependencies using <!nocheck> profile (Closes: #912942)

  [ Simon McVittie ]
  * d/p/*: Remove unapplied patches
  * Remove .install files for binary packages no longer built by this
    source
  * Update Vcs-* for move to salsa.debian.org.
    pygobject-2 uses a separate branch in the pygobject git repository.
  * d/gbp.conf: Add
  * Normalize package lists (wrap-and-sort -a)
  * d/docs: Normalize order (wrap-and-sort -a)
  * d/copyright: Normalize whitespace (wrap-and-sort -a)
  * Refresh patch series through gbp pq
  * d/rules: Stop using dh_testroot
  * Set Rules-Requires-Root to no
  * d/rules: Remove gnome-get-source.mk.
    Policy no longer recommends a get-orig-source target.
  * d/copyright: Improve copyright-format spec compliance
  * Remove unused B-D on cdbs
  * Change Priority of python-gobject-2-dbg from obsolete 'extra' to
    'optional'
  * Remove unnecessary X-Python-Version
  * Use debhelper compat level 11
  * Use dbus-run-session instead of dbus-launch to run tests
    (Closes: #836050)
  * Build-depend on dh-python, for dh_python2
  * Refer to python-gi, not transitional python-gobject, in package
    descriptions
  * Take over the transitional python-gobject package from src:pygobject.
    To allow for upgrades from the one from src:pygobject, it is versioned
    3.34.0+2.28.6-14 instead of 2.28.6-14.
  * python-gobject-2-dev: Depend on python2-dev instead of python-dev
  * d/tests: Add autopkgtests, based on the ones from src:pygobject

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2019 19:38:15 +0000

pygobject-2 (2.28.6-13) unstable; urgency=low

  * debian/rules:
    + Disable silent rules.
  * Add build-indep and build-arch targets. Closes: #831960.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 22 Jul 2016 19:25:33 +0200

pygobject-2 (2.28.6-12ubuntu7) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:53 +0000

pygobject-2 (2.28.6-12ubuntu6) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:45:36 +0000

pygobject-2 (2.28.6-12ubuntu5) focal; urgency=medium

  * python-gobject-2-dev: Depend on python2-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 15:21:53 +0100

pygobject-2 (2.28.6-12ubuntu4) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:27 +0000

pygobject-2 (2.28.6-12ubuntu3) bionic; urgency=medium

  * No-change rebuild against latest pycairo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Nov 2017 22:04:18 -0500

pygobject-2 (2.28.6-12ubuntu2) zesty; urgency=medium

  * Sync build-arch fix from debian, thanks to Emilio Monfort (LP: #1679835).
  * Use --disable-silent-rules also as per debian.

 -- Robert Bruce Park <robert.park@canonical.com>  Thu, 06 Apr 2017 17:11:50 -0700

pygobject-2 (2.28.6-12ubuntu1) xenial; urgency=medium

  * Build using dh-python, picking up multiarched module suffixes.
  * Install libraries into the multiarch libdir.
  * Drop the gtk-2.0-pysupport-compat.pth file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Jan 2016 02:08:16 +0100

pygobject-2 (2.28.6-12build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:50:19 +0000

pygobject-2 (2.28.6-12) unstable; urgency=low

  * Rebuild to use Python 2.7 by default. (Closes: #701972)
  * Bump Standards-Version to 3.9.4, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 May 2013 08:19:32 +0200

pygobject-2 (2.28.6-11) unstable; urgency=low

  * debian/control.in: Drop the "Provides: python2.6-gobject". There are no
    reverse dependencies anyway, and we don't encourage any new ones.
  * Add 00git_class_init.patch: Move property and signal creation into
    _class_init(). This allows old PyGTK applications to work with static
    PyGObject and GLib 2.35.x. (LP: #1129309)

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Feb 2013 16:19:52 +0100

pygobject-2 (2.28.6-10) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Martin Pitt ]
  * Add 00git_fix_qdata_warning.patch: Fix set_qdata warning on accessing NULL
    gobject property. Backported from upstream git.
  * Add 00git_gio_flag_type.patch: Fix definition of flag types. Backported
    from upstream git. (LP: #918607)
  * debian/copyright: Update to copyright format 1.0.
  * debian/control.in: Bump Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Mar 2012 18:52:21 +0100

pygobject-2 (2.28.6-9) unstable; urgency=high

  * Urgency high as this blocks the testing migration of g-i, pygobject, and
    others, and this is a trivial change.
  * debian/control.in: Add "Provides: python2.x-gobject" to python-gobject-2
    to also satisfy dependencies for packages which use the obsolete explicit
    dependencies, such as python-insanity. (Closes: #651824)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Dec 2011 14:15:29 +0100

pygobject-2 (2.28.6-8) unstable; urgency=low

  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 11:32:42 +0000

pygobject-2 (2.28.6-7) experimental; urgency=low

  * debian/control.in, debian/rules: Rename python-gobject-dev to
    python-gobject-2-dev. pygobject 2.90 now also builds a python-gobject-dev
    which depends on python-gobject-2-dev.
  * debian/control.in: Fix "Conflicts/Breaks" pairs to actually be what I
    mean: "Breaks/Replaces".


