=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject-2
Section: oldlibs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
Build-Depends: dbus (>= 1.8) <!nocheck>,
               debhelper (>= 11),
               dh-python,
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               libglib2.0-dev (>= 2.24.0),
               python-all-dbg,
               python-all-dev (>= 2.6.6-3~),
               python-apt-dbg <!nocheck>,
               python-cairo-dbg <!nocheck>,
               python-cairo-dev (>= 1.2.0),
               quilt,
               xauth <!nocheck>,
               xsltproc,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 3.9.4
Vcs-Git: https://salsa.debian.org/gnome-team/pygobject.git -b debian/pygobject-2
Vcs-Browser: https://salsa.debian.org/gnome-team/pygobject

Package: python-gobject-2
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: python2.7-gobject,
          ${python:Provides}
Breaks: python-gobject (<< 2.90)
Replaces: python-gobject (<< 2.90)
Suggests: python-gobject-2-dbg
Description: deprecated static Python bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the static Python bindings for gobject, glib, and gio.
 These are deprecated by dynamic GObject-Introspection bindings (which are
 provided by the python-gi package), and should not be used in newly
 written code. These static bindings just exist to provide backwards
 compatibility for GNOME 2 based software.

Package: python-gobject-2-dev
Architecture: all
Depends: libffi-dev (>= 3.0.5),
         libglib2.0-dev (>= 2.24.0),
         python2-dev,
         python-gobject-2 (>= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: docbook-xsl
Breaks: python-gobject-dev (<< 2.90)
Replaces: python-gobject-dev (<< 2.90)
Description: development headers for the static GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build
 static Python bindings relying on pygobject. Note that this is obsolete, new
 libraries and applications should use the dynamic gobject-introspection
 bindings (which are provided by the python-gi package).

Package: python-gobject-2-dbg
Section: debug
Architecture: any
Depends: python-gobject-2 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: python-gobject-dbg (<< 2.90)
Replaces: python-gobject-dbg (<< 2.90)
Description: deprecated static Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the static Python bindings for gobject, glib, and gio.
 These are deprecated by dynamic GObject-Introspection bindings (which are
 provided by the python-gi package), and should not be used in newly
 written code. These static bindings just exist to provide backwards
 compatibility for GNOME 2 based software.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python-gobject
Section: oldlibs
Architecture: all
Depends: python-gi (>= 3.34.0),
         python-gobject-2 (>= ${source:Version}),
         ${misc:Depends}
Description: Python 2.x bindings for GObject - transitional package
 This package will bring the two versions of GObject Python modules: the
 deprecated gobject module, and the new gobject-introspection system. It
 is here for upgrade purposes only. You can remove it safely when
 nothing else depends on it.
