## pygobject-2 2.28.6.1

=== debian/changelog ===
pygobject-2 (2.28.6.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: d7b77e991a2052d46c202fbc476aaef122a168d2']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:46:05 +0000
