=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject-2
Section: oldlibs
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
               gnome-pkg-tools (>= 0.10),
               dh-autoreconf,
               cdbs (>= 0.4.90~),
               quilt,
               python-all-dev (>= 2.6.6-3~),
               libglib2.0-dev (>= 2.24.0),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               python-cairo-dev (>= 1.2.0),
               xsltproc,
               xvfb,
               xauth,
               dbus-x11,
               docbook-xsl,
               autotools-dev,
               python-all-dbg,
               python-apt-dbg,
               python-cairo-dbg
X-Python-Version: >= 2.5
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/pygobject-2
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/pygobject-2

Package: python-gobject-2
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${python:Provides}, python2.7-gobject
Breaks: python-gobject (<< 2.90)
Replaces: python-gobject (<< 2.90)
Suggests: python-gobject-2-dbg
Description: deprecated static Python bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the static Python bindings for gobject, glib, and gio.
 These are deprecated by dynamic gobject-introspection bindings (which are
 provided with the python-gobject package), and should not be used in newly
 written code. These static bindings just exist to provide backwards
 compatibility for GNOME 2 based software.

Package: python-gobject-2-dev
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject-2 (>= ${source:Version}),
         python-dev,
         libglib2.0-dev (>= 2.24.0),
         libffi-dev (>= 3.0.5)
Recommends: docbook-xsl
Breaks: python-gobject-dev (<< 2.90)
Replaces: python-gobject-dev (<< 2.90)
Description: development headers for the static GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build
 static Python bindings relying on pygobject. Note that this is obsolete, new
 libraries and applications should use the dynamic gobject-introspection
 bindings (which are provided with the python-gobject package).

Package: python-gobject-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-gobject-2 (= ${binary:Version})
Breaks: python-gobject-dbg (<< 2.90)
Replaces: python-gobject-dbg (<< 2.90)
Description: deprecated static Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the static Python bindings for gobject, glib, and gio.
 These are deprecated by dynamic gobject-introspection bindings (which are
 provided with the python-gobject package), and should not be used in newly
 written code. These static bindings just exist to provide backwards
 compatibility for GNOME 2 based software.
 .
 This package contains the extensions built for the Python debug interpreter.
