=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/default.mk
-
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
+-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 include /usr/share/python/python.mk
 
 CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 export echo=/bin/echo
 
@@ -80,33 +82,37 @@
 
 build-%/install-stamp: build-%/build-stamp
 	dh_testdir
+	dh_testroot
 	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-2-dev pyexecdir=$(call py_libdir_sh, $*)
 	# dh_python2 trips over this empty dir in the sanity check for >= 2.6, so remove it
 	-rmdir debian/python-gobject-2-dev/usr/lib/python$*/site-packages
+	# until all reverse dependencies of pygobject have been converted to
+	# dh_python2, install a library search path which is backwards
+	# compatible to pysupport (see Debian#614764)
+	echo "/usr/lib/pymodules/python$*/gtk-2.0/" > $(CURDIR)/debian/python-gobject-2-dev/$(call py_libdir_sh, $*)/gtk-2.0-pysupport-compat.pth
 	touch $@
 
 dbg-build-%/install-stamp: dbg-build-%/build-stamp
 	dh_testdir
+	dh_testroot
 	PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-2-dbg pyexecdir=$(call py_libdir_sh, $*)
 	find debian/python-gobject-2-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) -delete
 	find debian/python-gobject-2-dbg -type d -empty -delete
-	mkdir -p debian/python-gobject-2-dbg/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/python-gobject-2-dbg/usr/lib/libpyglib-*so* \
-	   debian/python-gobject-2-dbg/usr/lib/$(DEB_HOST_MULTIARCH)/
 	touch $@
 
 install-stamp: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
 	dh_testdir
+	dh_testroot
 	# remove the install stamps to force a reinstall (since dh_clean is
 	# removing the package dirs)
 	dh_prep
 	rm -f $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
 	$(MAKE) -f debian/rules $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
 	find debian/python-gobject-2-dev -name \*.la -delete
-	mkdir -p debian/python-gobject-2/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p debian/python-gobject-2/usr/lib
 	mv debian/python-gobject-2-dev/usr/lib/python* debian/python-gobject-2/usr/lib/
 	mv debian/python-gobject-2-dev/usr/lib/libpyglib-*so.* \
-	   debian/python-gobject-2/usr/lib/$(DEB_HOST_MULTIARCH)/
+	   debian/python-gobject-2/usr/lib
 	rm -rf debian/python-gobject-2-dev/usr/lib/python*
 	for i in $$(find debian/python-gobject-2-dbg -name '*.so' -path 'debian/python-gobject-2-dbg/usr/lib/python*/*-packages/*'); do \
 		b=$$(basename $$i .so); \
@@ -119,6 +125,7 @@
 
 clean::
 	dh_testdir
+	dh_testroot
 	rm -f install-stamp
 	rm -f patch-stamp
 	rm -rf build-* dbg-build-*
@@ -129,6 +136,7 @@
 
 binary-indep: install $(maybe_check)
 	dh_testdir
+	dh_testroot
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_installchangelogs ChangeLog -i
@@ -139,13 +147,13 @@
 	chmod 755 `grep -rl "^#\!.*python" debian/python-gobject-2-dev/usr`
 	dh_python2 -i /usr/share/pygobject
 	dh_installdeb -i
-	dh_gencontrol -ppython-gobject -- -v3.34.0+$(DEB_VERSION)
-	dh_gencontrol -ppython-gobject-2-dev
+	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i
 
 binary-arch: install $(maybe_check)
 	dh_testdir
+	dh_testroot
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installchangelogs -s ChangeLog
